Skip to main content
GET
/
v1
/
invoices
/
{invoiceId}
/
url
Get Invoice URL
curl --request GET \
  --url https://api.cadanapay.com/v1/invoices/{invoiceId}/url \
  --header 'Authorization: Bearer <token>'
{
  "fileUrl": "https://cadana.com/file/124",
  "expiresAt": 1710590400
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

invoiceId
string<uuid>
required

The unique identifier for the invoice

Response

get invoice url response

fileUrl
string<uri>

Short-lived URL for the invoice PDF

Example:

"https://cadana.com/file/124"

expiresAt
integer<int64>

Unix timestamp when the URL expires

Example:

1710590400